#pragma once

#include "CoreMinimal.h"
#include "AkEventWithSubtitle.h"
#include "GameplayTagContainer.h"
#include "DialogPlannedPlayback.generated.h"

USTRUCT(BlueprintType)
struct FDialogPlannedPlayback
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FAkEventWithSubtitle> PlannedClip;

	UPROPERTY(EditInstanceOnly, Transient)
	FGameplayTag GameEventTrigger;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsDeletingAfterTrigger;

public:
	DBDDIALOG_API FDialogPlannedPlayback();
};

FORCEINLINE uint32 GetTypeHash(const FDialogPlannedPlayback) { return 0; }
